* Das Programm erstellt Zufallsdaten zum Motivation-Erfolgs-Beispiel
*  im Manuskript zu AMOS 4.0.

new file.

set seed = 44452711.

title N Flle generieren.
input program.
+ loop #i = 1 to 384.
-  compute a = 1.
-  end case.
+ end loop.
+ end file.
end input program.
exe.

* Exogene Latente.
compute r = normal(1).
compute ane = 0.707 * R + normal(3).
compute anlage = 2 * R + normal(2).
compute umwelt = 2.5 * R + normal(2).

* Endogene Latente initiieren.
compute motivat = normal(1).
compute erfolg = normal(1).

* Zeitschleife.
loop i = 1 to 1000.
  compute motivat = 0.5 * ane+ 0.5 * erfolg + normal(4).
  compute erfolg = 0.3 * anlage + 0.3 * umwelt+ 0.5 * motivat + normal(3).
end loop.
exe.

corr motivat with erfolg.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT motivat
  /METHOD=ENTER ane erfolg  .

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT erfolg
  /METHOD=ENTER anlage umwelt motivat  .


* 1. Indikator zur ANE, Rel = 0.64.
compute ane1s = 0.8 * ane + normal(sqrt(9.5*0.36)).
* 2. Indikator zur ANE, Rel = 0.5.
compute ane2s = 0.7 * ane + normal(sqrt(9.5*0.51)).
* rekodierte Indikatoren zur ANE.
RANK
  VARIABLES = ane1s ane2s
  /NTILES(30)  into ane1 ane2
  /PRINT = NO
  /TIES = MEAN .
var labels ane1 '' / ane2 ''.

* 1. Indikator zur ANLAGE, Rel = 0.81.
compute anlage1s = 0.9*anlage +  normal(sqrt(6*0.19)).
* 2. Indikator zur ANLAGE, Rel = 0.64.
compute anlage2s = 0.8 * anlage +   normal(sqrt(6*0.36)).
* rekodierte Indikatoren zur ANLAGE.
RANK
  VARIABLES = anlage1s anlage2s
  /NTILES(30)  into anlage1 anlage2
  /PRINT = NO
  /TIES = MEAN .
var labels anlage1 '' / anlage2 ''.

* 1. Indikator zur UMWELT, Rel = 0.5.
compute umwelt1s = 0.7*umwelt +  normal(sqrt(10*0.51)).
* 2. Indikator zur UMWELT, Rel = 0.36.
compute umwelt2s = 0.6 * umwelt +  normal(sqrt(10*0.64)).
* rekodierte Indikatoren zur UMWELT.
RANK
  VARIABLES = umwelt1s umwelt2s
  /NTILES(30)  into umwelt1 umwelt2
  /PRINT = NO
  /TIES = MEAN .
var labels umwelt1 '' / umwelt2 ''.

* 1. Indikator zur MOTIVAT, Rel = 0.81.
compute motiva1s = 0.9*motivat +  normal(sqrt(22*0.19)).
* 2. Indikator zur MOTIVAT, Rel = 0.64.
compute motiva2s = 0.8 * motivat +  normal(sqrt(22*0.36)).
* rekodierte Indikatoren zu MOTIVAT.
RANK
  VARIABLES = motiva1s motiva2s
  /NTILES(30)  into motiva1 motiva2
  /PRINT = NO
  /TIES = MEAN .
var labels motiva1 '' / motiva2 ''.

* 1. Indikator zur ERFOLG, Rel = 0.81.
compute erfolg1s = 0.9*erfolg +  normal(sqrt(18*0.19)).
* 2. Indikator zur ERFOLG, Rel = 0.64.
compute erfolg2s = 0.8 * erfolg +  normal(sqrt(18*0.36)).
* rekodierte Indikatoren zu ERFOLG.
RANK
  VARIABLES = erfolg1s erfolg2s
  /NTILES(30)  into erfolg1 erfolg2
  /PRINT = NO
  /TIES = MEAN .
var labels erfolg1 '' / erfolg2 ''.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT motiva1
  /METHOD=ENTER ane1 erfolg1  .

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT erfolg1
  /METHOD=ENTER anlage1 umwelt1 motiva1  .


*save outfile = 'H:\Daten\Persnliche Ordner\B. Baltes\Projekte\Amos\Version 4\2001.02\mc8.sav'.
save outfile = 'U:\Eigene Dateien\SPSS\Amos\mcmx.sav'
 /drop = ane anlage umwelt motivat erfolg i a.

save outfile = 'U:\Eigene Dateien\SPSS\Amos\mclx.sav'
  /keep = ane anlage umwelt motivat erfolg.
